\set SINGLESTEP 'on'

CREATE TABLE anagrafica(
    id SERIAL NOT NULL PRIMARY KEY,
    nome TEXT NOT NULL,
    cognome TEXT NOT NULL,
    data_nascita DATE NOT NULL,
    codice_fiscale TEXT NOT NULL UNIQUE CHECK
     (codice_fiscale ~
         '^[A-Z]{3}[A-Z]{3}[0-9]{2}[A-Z][0-9]{2}[A-Z][0-9]{3}[A-Z]$')
);

INSERT INTO anagrafica(nome, cognome, data_nascita, codice_fiscale)
VALUES
('Mario', 'Rossi', '1970-05-23', 'RSSMRA70R23C932A'),
('Carla', 'Bianchi', '1977-03-25', 'BNCCRL77R23C321B'),
('Giuseppe', 'Verdi', '2004-01-29', 'VRDGSP04R29D938A'),
('Giovanna', 'Gallo', '2006-04-05', 'GLLGVN06R05D938F'),
('Laura', 'Rossi', '2009-02-12', 'RSSLRA09R12D228O');
