<?php

if(!isset($_GET['id']))
{
	die("Il parametro id è obbligatorio!");
}

$db = new PDO('pgsql:host=localhost dbname=lezione_unive user=unive password=unive');

// Non usare MAI questa sintassi: SQL Injection!
// http://localhost:8080/db3.php?id=2%20or%20true
// $s = $db->prepare("SELECT * FROM anagrafica WHERE id = {$_GET['id']}");
// $s->execute();

// La sintassi corretta è:
$s = $db->prepare("SELECT * FROM anagrafica WHERE id = ?");
$s->execute([$_GET['id']]);

$s->setFetchMode(PDO::FETCH_ASSOC);
echo "<pre>";
foreach($s as $r)
{
	print_r($r);
}
echo "</pre>";
